org.apache.lucene.analysis.fa

## Class PersianNormalizer

- java.lang.Object
- - org.apache.lucene.analysis.fa.PersianNormalizer

    public class PersianNormalizer
    extends Object

Normalizer for Persian.

Normalization is done in-place for efficiency, operating on a termbuffer.

Normalization is defined as:

- Normalization of various heh + hamza forms and heh goal to heh.
- Normalization of farsi yeh and yeh barree to arabic yeh
- Normalization of persian keheh to arabic kaf

### Field Summary

Fields
`static char` `FARSI_YEH`
`static char` `HAMZA_ABOVE`
`static char` `HEH`
`static char` `HEH_GOAL`
`static char` `HEH_YEH`
`static char` `KAF`
`static char` `KEHEH`
`static char` `YEH`
`static char` `YEH_BARREE`

### Constructor Summary

Constructors
Constructor and Description
`PersianNormalizer()`

### Method Summary

Methods
`int` `normalize(char[] s, int len)` Normalize an input buffer of Persian text

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### YEH

    public static final char YEH

See Also:
  Constant Field Values

#### FARSI_YEH

    public static final char FARSI_YEH

See Also:
  Constant Field Values

#### YEH_BARREE

    public static final char YEH_BARREE

See Also:
  Constant Field Values

#### KEHEH

    public static final char KEHEH

See Also:
  Constant Field Values

#### KAF

    public static final char KAF

See Also:
  Constant Field Values

#### HAMZA_ABOVE

    public static final char HAMZA_ABOVE

See Also:
  Constant Field Values

#### HEH_YEH

    public static final char HEH_YEH

See Also:
  Constant Field Values

#### HEH_GOAL

    public static final char HEH_GOAL

See Also:
  Constant Field Values

#### HEH

    public static final char HEH

See Also:
  Constant Field Values

### Constructor Detail

#### PersianNormalizer

    public PersianNormalizer()

### Method Detail

#### normalize

    public int normalize(char[] s,
                int len)

Normalize an input buffer of Persian text

Parameters:
  `s` - input buffer
  `len` - length of input buffer
Returns:
  length of input buffer after normalization